set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="surpac.ddb"
  mode="openInNewLayer"
  frm00339={
    {
      upgrade_styles="Y"
      dont_tell_me_again="Y"
    }
  }
}]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set status [ SclFunction "GET DATABASE HANDLE" {
  sessionType="GeologyDatabase"
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="surpac"
  result=1
}]

set status [ SclFunction "DRILLHOLE ATTRIBUTES" {
  trace_colour="forest green"
  trace_thickness="1"
  table=""
  field=""
  tick_mark_weight="1"
  rescale="true"
  add_constraint="true"
  cylinder_style="no cylinders"
  cylinder_radius="1.000"
  cylinder_maximum="50.0"
  show_collars="true"
  frm00012={_action="display"
    {
 cons={
        {
          field=""
          operator="="
          value=""
        }
      }
    }
  }
}]

set status [ SclFunction "DRILLHOLE COLLARS" {
  show_collars="true"
  collar_marker="(+)"
  collar_marker_size="0.5"
  position="along path"
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE GEOLOGY" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE LABELS" {
  tick_length="1.0"
  tbl={
    "sample"
  }
  fld={
    "gold"
  }
  position={
    "right"
  }
  offset={
    "1.0"
  }
  decimals={
    "2"
  }
  use_styles={
    "true"
  }
  colour={
    ""
  }
  font_style={
    "Default"
  }
  font_size={
    "1.0"
  }
  font_units={
    "oru"
  }
  alignment={
    "left"
  }
  combine={
    "true"
  }
  num_rows="1"
}]

set status [ SclFunction "DRILLHOLE GRAPHS" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE DEPTH MARKERS" {
  position="left"
  offset="5.0"
  decimals="2"
  use_styles="false"
  colour=""
  font_style="Default"
  font_size="1.000"
  font_units="oru"
  alignment="right"
  major="10.0"
  minor="0.0"
  display="false"
  major_length="3.0"
  minor_length="1.0"
}]

set status [ SclFunction "DRILLHOLE APPARENT DIP MARKERS" {
  num_rows="0"
}]

set status [ SclFunction "DYNAMIC GRID ON" {} ]

set status [ SclFunction "SLICING PLANES" {
  frm00298={
    {
      _action="display"
      forward="20"
      backward="20"
      method="Northing"
      plane_thickness=""
      step_distance="40"
      value="7280"
      sectionBlockModel="N"
      block_layer="block sections"
      tolerance="0"
      section_objects="N"
      object_range=""
      object_layer="object sections"
      confirm_line_ends="N"
      interval_range="interval"
      colour_fill_bm_sections="N"
      zoom_plane="Y"
      view_limits="N"
      display_planes="N"
      use_interactive="N"
      colour_method="No change"
      trace_colour="jungle green"
    }
  }
}]

puts ""
puts ""
puts "Click in graphics to continue."
puts ""

SclPause

set status [ SclFunction "ZOOM IN" {} ]

set status [ SclFunction "ZOOM IN" {} ]

puts ""
puts ""
puts "Macro 06a_display_drillholes_and_create_sections.tcl finished"
puts ""
